Zur Dokumentation springen
API

Eine Notiz ändern

Ihr Text, ihre Farbe oder ob sie angeheftet ist.

PATCH/threads/{id}/notes/{noteId}

Führt den echten Aufruf in Ihrem Workspace aus.

PATCH /threads/{id}/notes/{noteId}

Ihr Text, ihre Farbe oder ob sie angeheftet ist.

Beispiel

Erfordert threads:write. Geben Sie mindestens eines von content, color und pinned an.

curl
curl -X PATCH "$OE/threads/thr_7c1e4a90/notes/b3d1f0c2-7a4e-4f7b-9c1d-2e8f6a5b4c3d" -H "$AUTH" \  -H "Content-Type: application/json" -d '{ "pinned": false }'
Antwort
{  "object": "note",  "id": "b3d1f0c2-7a4e-4f7b-9c1d-2e8f6a5b4c3d",  "threadId": "thr_7c1e4a90",  "content": "Waiting on the signed contract before replying.",  "color": "yellow",  "pinned": false,  "order": 4,  "createdAt": "2026-09-30T09:12:44.000Z",  "updatedAt": "2026-09-30T09:12:44.000Z"}

Eine Notiz-ID, die nicht zu diesem Thread gehört, ist ein 404, auch wenn die Notiz an einem anderen Thread hängt.

Referenz